Bug 72867 - (G100) Native X server fails to work during install
(G100) Native X server fails to work during install
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
:
Depends On:
Blocks: 82777
  Show dependency treegraph
 
Reported: 2002-08-28 12:14 EDT by Terry Froy
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 22:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Froy 2002-08-28 12:14:47 EDT
Description of problem:
I am currently using a HP Vectra VE8 - with Pentium II 350MHz CPU and 128Mb 
RAM.  Booting from CD #1 and hitting ENTER to proceed with graphical install 
gets as far as detecting the correct graphics card - "Matrox Productiva G100" 
and the correct monitor via DDC.  However, once the X server has started, all I 
get on the screen is a mixture of densely-packed green, red, white pixels all 
on the right half of the screen which all scroll down very very smoothly.  I 
doubt that it is a problem with monitor frequencies as the OSD of the monitor 
has the Horiz. and Vert. frequencies within acceptable levels according to the 
manual.

The Num Lock, Scroll Lock and Caps Lock keyboard LEDs fail to cycle properly 
when the appropriate keys are hit - I am using standard PS/2 keyboard.  
Unfortunately, CTRL+ALT+Fx fail to work at this point so I cannot even start a 
shell to perform further diagnostics.

I have tried starting the install with 'linux lowres' and 'linux noprobe' at 
the isolinux prompt but the results are the same.  

Admittedly, I have never installed Red Hat or any other distro on this machine 
so I'm not sure if this is a bug with Red Hat hardware detection or simply with 
the X server.

If you require any further information, please feel free to e-mail me at 
tez@spilsby.net.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert CD #1.
2. Hit ENTER.
3. Wait for the greeny scrolly thingy :)
	

Actual Results:  Greeny scrolly thingy.

Expected Results:  The display should be showing the Anaconda welcome screen 
instead of the greeny scrolly thingy.

Additional info:

Unfortunately, due to the lack of an interactive console, I couldn't run any 
further diagnostics at this point.  I welcome any suggestions you may have.
Comment 1 Michael Fulbright 2002-08-28 13:02:38 EDT
Sounds like an X server issue.
Comment 2 Terry Froy 2002-08-29 06:04:58 EDT
I agree - this is unlikely to be a Red Hat-specific issue.

I found this posting from the xfree-xpert list - http://marc.theaimsgroup.com/?
l=xfree-xpert&m=102094959028104&w=2

Text follows:

---
Hi,

I am using Mandrake 8.2 with XFree86 4.2.0. I have a Matrox Productiva G100 
card with a NEC MutltiSync XV17+ monitor. The problem I am having is that 
occasionally, X doesn't start properly. It locks up with squiggly stuff going 
up and down half the screen. I cannot do anything other than turn the computer 
off and reboot. This is totally random, but annoying. I had the same problem 
with Red Hat 7.2 (XFree86 4.1) and Mandrake 8.1 (also XFree86 4.1). I don't 
have this problem when using XFree86 3.3.6

Any ideas about what is happening?

Thanks....Paul
---

This should probably be directed at the XFree86 folks instead as the Matrox 
G100 is allegedly supported by the 'mga' driver.
Comment 3 Mike A. Harris 2002-11-24 04:56:04 EST
please attach X server log and config file from after doing a text based
install, and configuring X manually.
Comment 4 Mike A. Harris 2004-04-19 22:35:14 EDT
Closing report from inactivity and insufficient information.  If the
problem persists in Fedora Core 2 test2 or later releases using
X.org X11 6.7.0 or later, please file a new bug report about this
issue at:  http://bugs.freedesktop.org against the 'xorg' component,
as that will maximize the chances of some upstream developer who has
this hardware of investigating the issue.

Closing as 'WONTFIX', as Red Hat Linux 8.0 is no longer supported.

Note You need to log in before you can comment on or make changes to this bug.